diff --git a/releng.control/cc.sh b/releng.control/cc.sh
index c5d4edc1c7ad843f857343eac4f682fff4807413..d8de974fda86b102cf42029bf6a5f9d09d60382e 100644
--- a/releng.control/cc.sh
+++ b/releng.control/cc.sh
@@ -65,29 +65,3 @@ echo
 echo "    remember to check that X virtual frame buffer is running for display :$DISPLAYNUMBER for headless unit tests";
 ps -ef | grep Xvfb
 echo;
-
-
-
-PIDFILE=cc.xvfbpid
-echo;
-if [ -f ${PIDFILE} ] ; then
-  echo "    Killing Xvfb process from PID file"
-  PID=`cat ${PIDFILE}`
-  kill -3 $PID
-  # if permission denied, for example, then be sure not to remove PID file
-  if [ $? ]
-  then
-          if kill -9 $PID ; then
-            echo "    Xvfb process stopped"
-            rm -f ${PIDFILE}
-          else
-            echo "    Xvfb process could not be stopped"
-          fi
-  else
-    echo "    Could not kill the process."
-  fi
-else
-        echo "    PID file (${PIDFILE}) does not exist."
-        echo "        Either Xvfb not running, or PID file has been deleted"
-fi
-echo;
diff --git a/releng.control/killcc.sh b/releng.control/killcc.sh
index 1a9389e00fbdaface0a07a5014e40642b3d13bd9..c53e29d0d6aaa6d90cb36e9f651aef8a3ee25133 100644
--- a/releng.control/killcc.sh
+++ b/releng.control/killcc.sh
@@ -21,4 +21,28 @@ else
 	echo "    PID file (${PIDFILE}) does not exist."
 	echo "        Either CC not running, or PID file deleted"
 fi
-echo
\ No newline at end of file
+echo;
+
+PIDFILE=cc.xvfbpid
+
+if [ -f ${PIDFILE} ] ; then
+  echo "    Killing Xvfb process from PID file"
+  PID=`cat ${PIDFILE}`
+  kill -3 $PID
+  # if permission denied, for example, then be sure not to remove PID file
+  if [ $? ]
+  then
+          if kill -9 $PID ; then
+            echo "    Xvfb process stopped"
+            rm -f ${PIDFILE}
+          else
+            echo "    Xvfb process could not be stopped"
+          fi
+  else
+    echo "    Could not kill the process."
+  fi
+else
+        echo "    PID file (${PIDFILE}) does not exist."
+        echo "        Either Xvfb not running, or PID file has been deleted"
+fi
+echo;